Skip to main content
GET
List service accounts for the current org

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Query Parameters

offset
integer
default:0

offset of results to return

limit
integer
default:10

limit of results to return

page
integer
default:0

page number of results to return

include_runners
boolean

include service accounts with the runner role (excluded by default; ignored when management is set)

include_stacks
boolean

include service accounts with the stack role (excluded by default; ignored when management is set)

management
enum<string>

filter by who manages the account

Available options:
user,
system,
all
purpose
string

filter to service accounts with this exact purpose

q
string

case-insensitive substring match on name, email, ID, or owner name and ID

Response

OK

account_type
enum<string>
Available options:
auth,
auth0,
service,
canary,
integration
created_at
string
email
string
id
string
managed_service_account
object
name
string
org_ids
string[]

ReadOnly Fields

permissions
object
purposes
string[]
roles
object[]
subject
string
system_account
boolean
updated_at
string
user_journeys
object[]